> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk export documents as CSV

> Exports selected documents as a CSV file with title and content columns from active versions



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml post /v0/documents/export/csv
openapi: 3.1.1
info:
  title: Avido API
  description: >-
    Avido's API for LLM usage events, tool calls, trace management, webhook
    validation, and more. See each endpoint's request/response schema for
    details.
  version: 0.1.0
  contact:
    name: Avido Support
    email: support@avidoai.com
    url: https://avidoai.com/support
servers:
  - url: https://api.avidoai.com
    description: Production API
security:
  - ApiKey: []
    ApplicationId: []
paths:
  /v0/documents/export/csv:
    post:
      tags:
        - Documents
      summary: Bulk export documents as CSV
      description: >-
        Exports selected documents as a CSV file with title and content columns
        from active versions
      operationId: bulkExportDocumentsCsv
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkExportDocumentsCsvRequest'
      responses:
        '200':
          description: CSV file download
          content:
            text/csv:
              schema:
                type: string
                format: binary
components:
  schemas:
    BulkExportDocumentsCsvRequest:
      type: object
      properties:
        documentIds:
          minItems: 1
          type: array
          items:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Array of document IDs to export
          example:
            - 123e4567-e89b-12d3-a456-426614174000
      required:
        - documentIds
      additionalProperties: false
      title: Bulk Export Documents CSV Request
      description: Request body for bulk exporting documents as CSV
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Your unique Avido API key
    ApplicationId:
      type: apiKey
      in: header
      name: x-application-id
      description: Your unique Avido Application ID

````